import request from '@/utils/request'

// 查询我的任务列表（当天有效任务）shudong
export function getHomePage(params) {
  return request({
    url: '/check/largeScreen/homePage',
    method: 'get',
    params: params
  })
}
//获取查获上报数据  xiaoxiong
export function getSeizureReport(params) {
  return request({
    url: '/system/check/seizureReport/data',
    method: 'get',
    params: params
  })
}

//获取考勤统计数据   binge
export function getAttendanceStats(params) {
  return request({
    url: '/attendance/stats/getAttendanceStats',
    method: 'get',
    params: params
  })
}

//抽问抽答，首页   binge
export function getAccuracyStatistics(params) {
  return request({
    url: '/exam/daily/accuracy-statistics',
    method: 'get',
    params: params
  })
}

//根据角色获取查获排名  xiaoxiong
export function getSeizureRanking(data) {
  return request({
    url: '/item/seizure/ranking/getRankingByRole',
    method: 'post',
    data: data
  })
}


//获取检查排名  shudong
export function getCheckRanking(params) {
  return request({
    url: '/system/homePage/homePageRanking',
    method: 'get',
    params: params
  })
}

//首页-整体   shudong binge xiaoxiong
export function getHomePageWhole(params) {
  return request({
    url: '/system/homePage/homePageWhole',
    method: 'get',
    params: params
  })
}
//首页-明细（能力对比） shudong binge xiaoxiong
export function getHomePageDetail(data) {
  return request({
    url: '/system/homePage/homePageDetail',
    method: 'post',
    data: data
  })
}

//根据角色标识查询今日上岗用户列表
export function selectUserListByRoleKey(data) {
  return request({
    url: '/attendance/postRecord/selectUserListByRoleKey',
    method: 'post',
    data: data
  })
}

//首页报表-整体
export function getHomeReportWhole(params) {
  return request({
    url: '/system/homeReport/homeReportWhole',
    method: 'get',
    params: params
  })
}

//绩效指标列表
export function getMetrics(data) {
  return request({
    url: '/item/performance/metrics',
    method: 'post',
    data: data
  })
}

//质控活动-问题分布统计
export function getCheckProblemDistribution(query) {
  return request({
    url: '/system/analysisReport/checkProblemDistribution',
    method: 'get',
    params: query
  })
}

//培训测试正确率分析
export function getAccuracyAnalysis(query) {
  return request({
    url: '/exam/quiz/accuracy-analysis',
    method: 'get',
    params: query
  })
}
//查询全站查获违禁品 TOP3
export function getProhibitedTop3(query) {
  return request({
    url: '/item/performance/prohibited-top3',
    method: 'get',
    params: query
  })
}
//查询隐匿重点部位 Top1
export function getConcealmentPositionTop1(query) {
  return request({
    url: '/item/performance/concealment-position-top1',
    method: 'get',
    params: query
  })
}
//获取查获消息推送数据
export function getPushMessage(query) {
  return request({
    url: '/item/seizure/push/message',
    method: 'get',
    params: query
  })
}
